Go Back   Cockos Incorporated Forums > REAPER Forums > REAPER for Linux

Reply
 
Thread Tools Display Modes
Old 08-18-2019, 07:55 AM   #1
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default Kontakt with Linvst 2.5 crashing Reaper (Manjaro)

I installed Linvst 2.5 and it worked okay so far. But I got problems with the „missing files“ dialog in Kontakt.
When I locate the sample folder it first seems to work but then Reaper quits ungracefully.
The Linvst instance with Kontakt is still running in the background, though.
Any ideas how to fix that?
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-18-2019, 09:12 AM   #2
Glennbo
Human being with feelings
 
Glennbo's Avatar
 
Join Date: Mar 2008
Location: Planet Earth
Posts: 3,904
Default

I just checked and I'm still using LinVst 2.3.1 with Xubuntu 18.04. I've not had Kontakt crashes, but also don't remember ever seeing any issues with the library when setting it up initially.

Once you pointed it to where the library is located, does it remember it, or are you having to point it to the library every time?

Also, I'm not doing any heavy orchestration or loading huge sample sets, but augment real instruments with sampled instruments from Kontakt's factory library along the lines of three to five parts being covered by Kontakt in an average project.
__________________
Glennbo
Hear My Music - Click Me!!!
--
Glennbo is offline   Reply With Quote
Old 08-18-2019, 10:03 AM   #3
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

Unfortunately I have to point Kontakt to that folder everytime, because I can't see the project, since Reaper crashes.

I'll do a screencap when I'm back in Linux to illustrate the issue!
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-18-2019, 11:06 PM   #4
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

I found out that it must be a specific library that has issues.
Not sure why, but oh well.
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-19-2019, 08:39 AM   #5
Glennbo
Human being with feelings
 
Glennbo's Avatar
 
Join Date: Mar 2008
Location: Planet Earth
Posts: 3,904
Default

Which library was it, and was it DRM related?
__________________
Glennbo
Hear My Music - Click Me!!!
--
Glennbo is offline   Reply With Quote
Old 08-19-2019, 08:49 AM   #6
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

It was Symphobia, but a version 1 patch. Patches from newer versions load without any issues. Don't think it's DRM related. I think there is something going on that either Reaper or WINE doesn't like. At least all the linvst instances run happily in the background, whereas Reaper quits.
Furthermore, I can't run Reaper before I haven't killed all the linvst processes.
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-19-2019, 09:16 AM   #7
Glennbo
Human being with feelings
 
Glennbo's Avatar
 
Join Date: Mar 2008
Location: Planet Earth
Posts: 3,904
Default

Cool. Glad you figured out what was going on, and that it's not DRM related.
__________________
Glennbo
Hear My Music - Click Me!!!
--
Glennbo is offline   Reply With Quote
Old 08-19-2019, 09:47 PM   #8
osxmidi
Human being with feelings
 
Join Date: Feb 2014
Posts: 536
Default

Kernel 5.2 and later cause segfaults in LinVst, so Kernel 5.2 and later need LinVst 2.65 (or the current source).
osxmidi is offline   Reply With Quote
Old 08-20-2019, 04:21 AM   #9
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

Using kernel 4.1 and 5.1, so I guess I‘m safe. But I tried the 2.6 (the arch AUR package), however it seems to be missing the linvstcomvert bin.
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-20-2019, 05:24 AM   #10
osxmidi
Human being with feelings
 
Join Date: Feb 2014
Posts: 536
Default

Quote:
Originally Posted by _Stevie_ View Post
Using kernel 4.1 and 5.1, so I guess I‘m safe. But I tried the 2.6 (the arch AUR package), however it seems to be missing the linvstcomvert bin.
Maybe this one https://aur.archlinux.org/packages/linvst2/

I think that linvstconvert and linvstconverttree are installed into /usr/bin and linvst.so is installed into /usr/share/LinVst/64bit-32bit
osxmidi is offline   Reply With Quote
Old 08-20-2019, 05:42 AM   #11
Peevy
Human being with feelings
 
Peevy's Avatar
 
Join Date: May 2008
Location: Ireland
Posts: 487
Default

Quote:
Originally Posted by _Stevie_ View Post
Using kernel 4.1 and 5.1, so I guess I‘m safe. But I tried the 2.6 (the arch AUR package), however it seems to be missing the linvstcomvert bin.

Be careful with the 5.1 kernel because it's EOL in Manjaro so it'll no longer be supported soon. That's why I've moved to 5.2 which probably wouldn't have been possible without the great work from osxmidi on the issues with linvst & kernel 5.2.


So If I was you I'd move to kernel 4.19 or 5.2 & uninstall 5.1. There's also the 5.0 realtime kernel if you want to try that. I have it installed but never really use it, I'm pretty happy running the standard kernel without any issues.
__________________
System: Mobo-Asus Prime Z370P II, CPU-i7 8700K, RAM-32gb DDR4 3000mhz, GPU AMD RX580 OS: Manjaro Linux
Soundcard:
Komplete Audio 6 Monitors: Adam A5X
Peevy is offline   Reply With Quote
Old 08-20-2019, 08:26 AM   #12
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

I have tried the 5.1 kernel because my system performance isn't really as expected. So I was trying different things. But apparently the 5.1 didn’t really help. So I will switch back to 4.1.
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-20-2019, 05:02 PM   #13
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

Quote:
Originally Posted by osxmidi View Post
Maybe this one https://aur.archlinux.org/packages/linvst2/

I think that linvstconvert and linvstconverttree are installed into /usr/bin and linvst.so is installed into /usr/share/LinVst/64bit-32bit
I just checked the AUR build for files. Apparently those are missing from the package.

__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-20-2019, 06:08 PM   #14
silksow
Human being with feelings
 
silksow's Avatar
 
Join Date: Aug 2018
Location: Los Angeles
Posts: 32
Default

Quote:
Originally Posted by _Stevie_ View Post
I just checked the AUR build for files. Apparently those are missing from the package.

I use that one, he keeps it totally up to date along with the beta vsr3 version. Check out the "manage" folder on osxmidi's github, works great: https://github.com/osxmidi/LinVst/tree/master/manage
__________________
i7-4790K - 16 GB - Manjaro Linux Xfce - RME UFX
"Recording engineers do not die. They are dragged into the earth by the sheer weight of their balls." -- Malcolm Chisholm 1929-2003
silksow is offline   Reply With Quote
Old 08-21-2019, 05:48 PM   #15
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

Okay, thanks, checking in a few!
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Old 08-21-2019, 09:48 PM   #16
_Stevie_
Human being with feelings
 
_Stevie_'s Avatar
 
Join Date: Oct 2017
Posts: 2,724
Default

Hah, that worked! Was a bit fiddly but it works, thanks man!
__________________
My Reascripts forum thread | My Reascripts on GitHub | Stephan Römer - film composer
If you wish to donate for my scripts: please consider an organization like: animal shelter, doctors without borders, UNICEF, etc...
_Stevie_ is online now   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 06:23 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.